Package Details: perl-gtk2-notify 0.05-22

Git Clone URL: https://aur.archlinux.org/perl-gtk2-notify.git (read-only)
Package Base: perl-gtk2-notify
Description: Perl interface to libnotify
Upstream URL: http://metacpan.org/release/Gtk2-Notify
Licenses: LGPL
Submitter: PhotonX
Maintainer: bidulock (PhotonX)
Last Packager: bidulock
Votes: 29
Popularity: 0.000003
First Submitted: 2009-12-23 12:53
Last Updated: 2019-06-11 06:11

Pinned Comments

PhotonX commented on 2018-08-06 13:19

In case that perl-gtk2-notify prevents the perl update to 5.28, please remove perl-gtk2-notify:

pacman -Rdd perl-gtk2-notify

then do the update and then install it again

$YOUR_FAVORITE_AUR_HELPER -S perl-gtk2-notify

In case there is a better solution, please let me know! :)

Latest Comments

« First ‹ Previous 1 2 3 Next › Last »

wxg4net commented on 2015-07-08 13:56

@bidulock thx.

$notification->signal_connect(closed => sub { Gtk2->main_quit });

bidulock commented on 2015-07-08 02:33

You can find a PKGBUILD and libnotify.patch file that adds get_closed_reason and corrects a few PKGBUILD issues here:

https://gist.github.com/bbidulock/9055fabe53bf16128012

PhotonX commented on 2014-06-04 17:27

Thanks, done.

jplatte commented on 2014-06-04 17:04

Please increase pkgrel, for the update of perl in [base] broke the XS modules in this package and it needs to be rebuilt to fix that

bidulock commented on 2013-06-16 03:42

please bump pkgrel to 9 to trigger recompile against perl 5.18.0

PhotonX commented on 2013-02-22 15:23

Thanks, submitted!

bidulock commented on 2013-02-22 13:31

I didn't know about those patches. They are very similar to the one I just did. I will merge them together into a workable patch and mail you the resulting source package.

PhotonX commented on 2013-02-22 12:48

Thanks for writing a patch! My programming skills are confined to a one week C++ course, so I didn't really understand what my little change actually caused (besides of the syntax error being corrected). So if there is a better solution, I'm glad to include it into the package. Please send it via email (see PKGBUILD) or e.g. pastebin.com. By the way, there are two other patches for this issue here: https://rt.cpan.org/Public/Bug/Display.html?id=67467 I don't understand them but maybe you can make some use of them for improving your patch.

bidulock commented on 2013-02-22 11:33

I have a patch that fixes the libnotify changes better (and completely) but I don't know how to get it to you.

bidulock commented on 2013-02-22 11:32

I have a patch that fixes the libnotify changes better (and completely) but I don't know how to get it to you.